cascading.operation.text

## Class FieldJoiner

- java.lang.Object
- - cascading.operation.BaseOperation<Tuple>
  - - cascading.operation.text.FieldJoiner

- All Implemented Interfaces:
    DeclaresResults, Function<Tuple>, Operation<Tuple>, Traceable, java.io.Serializable

      public class FieldJoiner
      extends BaseOperation<Tuple>
      implements Function<Tuple>

  Class FieldJoiner joins the values in a Tuple with a given delimiter and stuffs the result into a new field.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `FIELD_NAME` Field FIELD_NAME

    - ### Fields inherited from class cascading.operation.BaseOperation

      `fieldDeclaration, numArgs, trace`

    - ### Fields inherited from interface cascading.operation.Operation

      `ANY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FieldJoiner(Fields fieldDeclaration)` Constructor FieldJoiner creates a new FieldJoiner instance.
    `FieldJoiner(Fields fieldDeclaration, java.lang.String delimiter)` Constructor FieldJoiner creates a new FieldJoiner instance.
    `FieldJoiner(java.lang.String delimiter)` Constructor FieldJoiner creates a new FieldJoiner instance.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object object)`
    `java.lang.String` | `getDelimiter()` Method getFormat returns the delimiter of this FieldJoiner object.
    `int` | `hashCode()`
    `void` | `operate(FlowProcess flowProcess, FunctionCall<Tuple> functionCall)` Method operate provides the implementation of this Function.
    `void` | `prepare(FlowProcess flowProcess, OperationCall<Tuple> operationCall)` Method prepare does nothing, and may safely be overridden.

    - ### Methods inherited from class cascading.operation.BaseOperation

      `cleanup, flush, getFieldDeclaration, getNumArgs, getTrace, isSafe, printOperationInternal, toString, toStringInternal`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface cascading.operation.Operation

      `cleanup, flush, getFieldDeclaration, getNumArgs, isSafe`

- - ### Field Detail

    - #### FIELD_NAME

          public static final java.lang.String FIELD_NAME

      Field FIELD_NAME
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### FieldJoiner

          @ConstructorProperties(value="delimiter")
          public FieldJoiner(java.lang.String delimiter)

      Constructor FieldJoiner creates a new FieldJoiner instance.
      Parameters:
        `delimiter` - of type String

    - #### FieldJoiner

          @ConstructorProperties(value="fieldDeclaration")
          public FieldJoiner(Fields fieldDeclaration)

      Constructor FieldJoiner creates a new FieldJoiner instance.
      Parameters:
        `fieldDeclaration` - of type Fields

    - #### FieldJoiner

          @ConstructorProperties(value={"fieldDeclaration","delimiter"})
          public FieldJoiner(Fields fieldDeclaration,
                                           java.lang.String delimiter)

      Constructor FieldJoiner creates a new FieldJoiner instance.
      Parameters:
        `fieldDeclaration` - of type Fields
        `delimiter` - of type String

  - ### Method Detail

    - #### getDelimiter

          public java.lang.String getDelimiter()

      Method getFormat returns the delimiter of this FieldJoiner object.
      Returns:
        the delimiter (type String) of this FieldJoiner object.

    - #### prepare

          public void prepare(FlowProcess flowProcess,
                     OperationCall<Tuple> operationCall)

      Description copied from class: `BaseOperation`
      Method prepare does nothing, and may safely be overridden.
      Specified by:
        `prepare` in interface `Operation<Tuple>`
      Overrides:
        `prepare` in class `BaseOperation<Tuple>`

    - #### operate

          public void operate(FlowProcess flowProcess,
                     FunctionCall<Tuple> functionCall)

      Description copied from interface: `Function`
      Method operate provides the implementation of this Function.
      Specified by:
        `operate` in interface `Function<Tuple>`
      Parameters:
        `flowProcess` - of type FlowProcess
        `functionCall` - of type FunctionCall

    - #### equals

          public boolean equals(java.lang.Object object)

      Overrides:
        `equals` in class `BaseOperation<Tuple>`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `BaseOperation<Tuple>`

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.